# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/bokeh-2.1.0-python_3.6-on-linux_64, last modified Tue Jun 16 14:59:32 2020
# ------------------------------------------------

package:
    name: bokeh
    version: 2.1.0
source:
    sha256: 632f2e372c103a8f3671a3211d7a45c204a8a896773d5f91c9f818c3b74e2590
    url: https://pypi.io/packages/source/b/bokeh/bokeh-2.1.0.tar.gz
build:
    entry_points:
        - bokeh = bokeh.__main__:main
    number: '0'
    script:
        - /tmp/build/80754af9/bokeh_1592319650020/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
            -m pip install . -vv
    string: py36_0
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2020.1.1 0
        - certifi 2020.4.5.2 py36_0
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.3 he6710b0_1
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.2 he6710b0_1
        - openssl 1.1.1g h7b6447c_0
        - pip 20.0.2 py36_3
        - python 3.6.10 h7579374_2
        - readline 8.0 h7b6447c_0
        - setuptools 47.1.1 py36_0
        - sqlite 3.31.1 h62c20be_1
        - tk 8.6.8 hbc83047_0
        - wheel 0.34.2 py36_0
        - xz 5.2.5 h7b6447c_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - jinja2 >=2.7
        - numpy >=1.11.3
        - packaging >=16.8
        - pillow >=4.0
        - python >=3.6,<3.7.0a0
        - python-dateutil >=2.1
        - pyyaml >=3.10
        - tornado >=5.1
        - typing_extensions >=3.7.4
test:
    commands:
        - pip check
        - bokeh --help
    imports:
        - bokeh
        - bokeh.application
        - bokeh.application.handlers
        - bokeh.client
        - bokeh.command
        - bokeh.command.subcommands
        - bokeh.core
        - bokeh.core.property
        - bokeh.core.validation
        - bokeh.models
        - bokeh.models.widgets
        - bokeh.plotting
        - bokeh.protocol
        - bokeh.protocol.messages
        - bokeh.sampledata
        - bokeh.server
        - bokeh.server.views
        - bokeh.sphinxext
        - bokeh.themes
        - bokeh.util
    requires:
        - pip
about:
    description: 'Bokeh is a Python interactive visualization library that targets

        modern web browsers for presentation. Its goal is to provide elegant,

        concise  construction of novel graphics in the style of D3.js, and to

        extend this capability with high-performance interactivity over very

        large or streaming datasets. Bokeh can help anyone who would like to

        quickly and easily create interactive plots, dashboards, and data

        applications.

        '
    dev_url: http://github.com/bokeh/bokeh
    doc_url: http://bokeh.pydata.org/en/latest/docs/user_guide.html
    home: http://bokeh.pydata.org/
    license: BSD-3-Clause
    license_family: BSD
    license_file: LICENSE.txt
    summary: Statistical and novel interactive HTML plots for Python
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - almarklein
        - jakirkham
        - mattpap
        - ocefpaf
        - philippjfr
